<?php
/*
CRIADO POR: K88
DATA ULTIMA ALTERAÇÃO: 16/08/2017 14:42
OBS.: ATUALIZAÇÃO DE NOVOA ESTRUTURA E REVISÃO
*/

include("../configuracao.php");//confirma no banco de dados
include("../inclusos/funcoes.php");
include("../seguranca.php"); // Inclui o arquivo com o sistema de seguran?a
protegePagina(); // Protege a página	

$mysqli = new mysqli($servidor, $usuario, $senha, $banco);

print $query;

if (mysqli_connect_errno())
{
die(mysqli_connect_error());
exit();
}
$mysqli->query("SET NAMES 'utf8'");

if(isset($_GET['term']))
{
$q = $mysqli->real_escape_string($_GET['term']);
$buscar = str_replace(" ","%",$q);
$sql = $mysqli->query("SELECT * FROM clientes WHERE excluido IS NULL AND nome LIKE '%".$buscar."%' OR  aniversariante LIKE '%$buscar%' OR  email LIKE '%$buscar%' OR  telefone LIKE '%$buscar%' OR  celular LIKE '%$buscar%' OR  idcliente LIKE '%$buscar%' OR  datafesta LIKE '%".InverteDataNovoSeparador($buscar, "/", "-")."%'  ORDER BY idcliente DESC");
//$sql = $mysqli->query("select DISTINCT idcliente, responsavel, aniversariante, email, telefone, datafesta FROM clientes WHERE responsavel LIKE '%$buscar%' OR  aniversariante LIKE '%$buscar%' OR  email1 LIKE '%$buscar%' OR  telefone1 LIKE '%$buscar%' OR  datafesta LIKE '%".InverteDataNovoSeparador($buscar, "/", "-")."%' ORDER BY idcliente DESC");

	
	while ($row = $sql->fetch_assoc()) {
		$data[] = array(
			'label' => $row['idcliente'] . " - " . InverteDataNovoSeparador($row['datafesta'], "-", "/") . " - " . utf8_decode($row['nome']) . " - " . $row['aniversariante'] . " - " . $row['email'] . " - " . $row['telefone']. " - " . $row['celular'],
			'nome' => $row['nome'],
			'idcliente' => $row['idcliente'],			

		);
    }
echo json_encode($data);
}

?>